Subject: Re: [RFC PATCH v4 01/25] virtual-bus: Implementation of Virtual Bus

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 14 Feb 2020 20:08:33 -0400

On Wed, Feb 12, 2020 at 11:14:00AM -0800, Jeff Kirsher wrote:
> From: Dave Ertman <[email-masked]>
> 
> This is the initial implementation of the Virtual Bus,
> virtbus_device and virtbus_driver.  The virtual bus is
> a software based bus intended to support registering
> virtbus_devices and virtbus_drivers and provide matching
> between them and probing of the registered drivers.
> 
> The bus will support probe/remove shutdown and
> suspend/resume callbacks.
> 
> Kconfig and Makefile alterations are included

Can you please include the various sysfs paths that are generated by
all of this for irdma in some commit message?

I'm particularly interested to see how all the parentage turned out
for the virtual device.

Is PM going to work? IIRC PM will require that the virtual bus device
goes through PM states in the right order relative to the PCI
device. This all turned out OK?

The concept certainly seems like what I imagined

I'm not totally sold on 'virtual bus' as a name for this 'multi
function pci device' thing, but you can work that out with Greg :)

Thanks,
Jason